package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

	beego.GlobalControllerRouter["devops/controllers:CredentialController"] = append(beego.GlobalControllerRouter["devops/controllers:CredentialController"],
		beego.ControllerComments{
			Method:           "GetAllCredentials",
			Router:           `/getAllCredentials`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Params:           nil})

	beego.GlobalControllerRouter["devops/controllers:JobController"] = append(beego.GlobalControllerRouter["devops/controllers:JobController"],
		beego.ControllerComments{
			Method:           "CreatePipelineJob",
			Router:           `/createPipelineJob`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Params:           nil})

	beego.GlobalControllerRouter["devops/controllers:JobController"] = append(beego.GlobalControllerRouter["devops/controllers:JobController"],
		beego.ControllerComments{
			Method:           "DeletePipelineJob",
			Router:           `/deletePipelineJob`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Params:           nil})

	beego.GlobalControllerRouter["devops/controllers:JobController"] = append(beego.GlobalControllerRouter["devops/controllers:JobController"],
		beego.ControllerComments{
			Method:           "GetJobList",
			Router:           `/getJobList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Params:           nil})

	beego.GlobalControllerRouter["devops/controllers:JobController"] = append(beego.GlobalControllerRouter["devops/controllers:JobController"],
		beego.ControllerComments{
			Method:           "StartRunPipelineJob",
			Router:           `/startRunPipelineJob`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Params:           nil})

}
